Community Badges
Get badges
GET
/
community
/
{id}
/
badge
Get badges
curl --request GET \
--url https://api.openpage.fun/v1/community/{id}/badge \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.openpage.fun/v1/community/{id}/badge"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.openpage.fun/v1/community/{id}/badge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"perPage": 123,
"page": 123,
"results": [
{
"id": "<string>",
"key": "<string>",
"title": "<string>",
"description": "<string>",
"badge": "<string>",
"requirements": {
"title": "<string>",
"description": "<string>"
},
"rewards": [
{
"id": "<string>",
"image": "<string>",
"provider": "Vault",
"providerImage": "<string>",
"name": "<string>",
"amount": [
123
],
"description": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"maxSpend": 123,
"vaultId": "<string>",
"contract": "<string>",
"chainId": "<string>",
"transactionHash": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"author": {},
"community": {}
}
]
}Authorizations
Path Parameters
Community ID
Query Parameters
Page of results to return.
Number of items per page to return. Defaults to 100.
Previous
Create BadgeCreate a badge for a community. Badges are used to enable on-chain attestations of achievements, events, and more.
Next
⌘I
Get badges
